<?php
/**
 * @version ShareButtonsHupso.php 1.6
 * @copyright Tom Merc
 * @license GNU/GPLv2
 */
 
 // no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgContentShareButtonsHupso extends JPlugin {


        function plgContentShareButtonsHupso( &$subject, $params )
        {
                parent::__construct( $subject, $params );
        }
		
        function onContentPrepare( $context, &$row, &$params, $page = 0 )
        {
	
				$button_size = $this->params->get('hupso_button_size', 100);
				switch ($button_size) {
					case 60: 
						$width = 60;
						$height = 14;
						break;					
					case 80:
						$width = 80;
						$height = 19;
						break;					
					case 100: 
						$width = 100;
						$height = 23;
						break;
					case 120:
						$width = 120;
						$height = 28;
						break;					
					case 160:
						$width = 160;
						$height = 37;
						break;					
					default:
						$width = 100;
						$height = 23;
				}
				$img = 'button'.$width.'x'.$height.'.png';
				
				$icon_type = $this->params->get('hupso_icon_type', 'labels');
				$position = $this->params->get('hupso_css_position', 'after');
			
				$padding_left = $this->params->get('hupso_padding_left', '0');
				$padding_right = $this->params->get('hupso_padding_right', '0');
				$padding_top = $this->params->get('hupso_padding_top', '10');
				$padding_bottom = $this->params->get('hupso_padding_bottom', '10');
				
				$twitter = $this->params->get('hupso_service_twitter', 1);
				$facebook = $this->params->get('hupso_service_facebook', 1);	
				$google_plus = $this->params->get('hupso_service_google_plus', 1);	
				$linkedin = $this->params->get('hupso_service_linkedin', 1);
				$tumblr = $this->params->get('hupso_service_tumblr', 1);				
				$stumbleupon = $this->params->get('hupso_service_stumbleupon', 1);
				$digg = $this->params->get('hupso_service_digg', 0);
				$reddit = $this->params->get('hupso_service_reddit', 0);
				$bebo = $this->params->get('hupso_service_bebo', 0);
				$delicious = $this->params->get('hupso_service_delicious', 1);		
				
				$serv = "";
				if ($twitter) $serv .= '"Twitter"';
				if ($facebook) $serv .= '"Facebook"';
				if ($google_plus) $serv .= '"Google Plus"';
				if ($linkedin) $serv .= '"Linkedin"';
				if ($tumblr) $serv .= '"Tumblr"';				
				if ($stumbleupon) $serv .= '"StumbleUpon"';
				if ($digg) $serv .= '"Digg"';
				if ($reddit) $serv .= '"Reddit"';
				if ($bebo) $serv .= '"Bebo"';
				if ($delicious) $serv .= '"Delicious"';
				$serv = str_replace('""','","', $serv);
				
				$sec_blacklist = trim($this->params->get('hupso_sec_blacklist', ''));
				$cat_blacklist = trim($this->params->get('hupso_cat_blacklist', ''));

				//print_r($article);
			
				if (isset($row->catid)) {
					$catid = $row->catid;
				}
				else {
					$catid = '';
				}
			
				$sec_bl = explode(',', $sec_blacklist);
				
				$cat_bl = explode(',', $cat_blacklist);
				$cat_hide = in_array($catid, $cat_bl);
				if ($catid == "") $cat_hide = false;
			
				$code = '<div style="padding-left:'.$padding_left.'px; padding-right:'.$padding_right.'px; padding-top:'.$padding_top.'px; padding-bottom:'.$padding_bottom.'px;"><!-- Hupso Share Buttons (http://www.hupso.com/share) --><a class="hupso_pop" href="http://www.hupso.com/share"><img src="http://static.hupso.com/share/buttons/'.$img.'" width="'.$width.'" height="'.$height.'" border="0" alt="Share Button"/></a><script type="text/javascript">var hupso_services=new Array('.$serv.');var icon_type = "'.$icon_type.'";</script><script type="text/javascript" src="http://static.hupso.com/share/js/share.js"></script><!-- Hupso Share Buttons --></div>';

				$button_show = '{hupso_button}';
				$button_hide = '{hupso_hide}';
				
				if (isset($row->readmore_link)) {
					$link = trim($row->readmore_link);	
				}
				else {
					$link = '';
				}
				$pos_show = strpos($row->text, $button_show);
				$pos_hide = strpos($row->text, $button_hide);
				
				if ( $cat_hide == false ) {
					if ($pos_hide === false) {
						if ($pos_show !== false) {
							$row->text = str_replace($button_show, $code, $row->text);
						}
						else {					
							if ($link != "") {
								if ($position == "after") {
									$row->text = $row->text . $code;
								}
								else {
									$row->text = $code . $row->text;
								}
							}
						}
					}
				}
					
				$row->text = str_replace($button_show, "", $row->text);
				$row->text = str_replace($button_hide, "", $row->text);				
		
        }
}	

?>